package com.hzya.frame.plugin.ht.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.ht.dao.IFundsAllocationDao;
import com.hzya.frame.plugin.ht.entity.FundsAllocationEntity;
import com.hzya.frame.plugin.ht.service.IFundsAllocationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2025/6/21 15:03
 **/
@Service(value = "fundsAllocationServiceImpl")
public class FundsAllocationServiceImpl extends BaseService<FundsAllocationEntity,String> implements IFundsAllocationService {
    private IFundsAllocationDao fundsAllocationDao;
    @Autowired
    public void setFundsAllocationDao(IFundsAllocationDao dao) {
        this.fundsAllocationDao = dao;
        this.dao = dao;
    }

    /**
     * 查询审批意见
     *
     * @param entity
     * @return
     */
    @DS("#entity.dataSourceCode")
    @Override
    public List<FundsAllocationEntity> queryCtpCommentList(FundsAllocationEntity entity) {
        List<FundsAllocationEntity> queryList = fundsAllocationDao.queryList(entity, "com.hzya.frame.plugin.ht.dao.impl.FundsAllocationDaoImpl.entity_ctp_comment_all");
        return queryList;
    }
}
