package com.hzya.frame.plugin.ht.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.ht.entity.ApplyInvoiceEntity;
import com.hzya.frame.web.exception.BaseSystemException;

import java.util.List;

/**
 * @Description OA开票申请
 * @Author xiangerlin
 * @Date 2025/6/21 17:56
 **/
public interface IApplyInvoiceService extends IBaseService<ApplyInvoiceEntity,String> {

    /**
     * 查询待办信息
     * 这里要指定人员 所以只会查出一条，如果查出多条那就是有问题的
     * @param entity
     * @return
     * @throws BaseSystemException
     */
    ApplyInvoiceEntity queryAffair(ApplyInvoiceEntity entity)throws BaseSystemException;

    /**
     * 流程回退参数组装
     * @param workitemId
     * @param content
     * @return
     */
    String stepBackValueOf(String workitemId,String content);

    /**
     * 流程结束参数组装
     * @param workitemId
     * @param content
     * @return
     */
    String finishValueOf(String workitemId,String content);

    /**
     * 流程处理
     * @param param
     * @param apiCode
     * @return
     */
    String process(String param,String apiCode);
}
