package com.hzya.frame.plugin.ht.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.web.entity.JsonResultEntity;
import com.hzya.frame.web.exception.BaseSystemException;

/**
 * @Description 资金拨付 流程结束回调 需要同时回调有度税务和中信司库
 * @Author xiangerlin
 * @Date 2025/6/21 14:13
 **/
public interface IFundsAllocationPluginService {

    /**
     * 资金拨付流程结束回调有度税务系统和中信司库
     * @param requestJson
     * @return
     * @throws BaseSystemException
     */
    JsonResultEntity callback(JSONObject requestJson)throws BaseSystemException;
}
